%global realname erlang_js
%global upstream basho
%global git_tag cd520bf
%global patchnumber 0
%{?filter_setup:
%filter_provides_in %{_libdir}/erlang/lib/.*\.so$
%filter_setup
}


Name:		erlang-js
Version:	1.2.1
Release:	1%{?dist}
Summary:	A Friendly Erlang to Javascript Binding
Group:		Development/Libraries
License:	ASL 2.0
URL:		https://github.com/basho/erlang_js
# wget --content-disposition https://github.com/basho/erlang_js/tarball/1.2.0
Source0:	%{upstream}-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
# Fedora-specific
Patch1:		erlang-js-0001-Fix-building-of-linked-in-driver.patch
Patch2:		erlang-js-0002-build-fix-for-js-1.8.5.patch
# Fedora-specific
Patch3:		erlang-js-0003-Use-mochiweb-instead-of-a-bundled-copies.patch
# Sent upstream - https://github.com/basho/erlang_js/pull/31
Patch4:		erlang-js-0004-Use-standard-layout-for-rebar.patch
# Sent upstream - https://github.com/basho/erlang_js/pull/31
Patch5:		erlang-js-0005-Start-erlang_js-explicitly.patch
# Sent upstream - https://github.com/basho/erlang_js/pull/31
Patch6:		erlang-js-0006-Fix-warning-treated-as-error-about-unused-variable.patch
# EPEL-specific
Patch9999:	erlang-js-0002-Build-with-js-1.7.0.patch
BuildRequires:	erlang-rebar
BuildRequires:	erlang-mochiweb
BuildRequires:	js-devel
Requires:	erlang-erts%{?_isa} >= R12B-5
Requires:	erlang-kernel%{?_isa} >= R12B-5
Requires:	erlang-mochiweb%{?_isa}
Requires:	erlang-stdlib%{?_isa} >= R12B-5


%description
A Friendly Erlang to Javascript Binding.


%prep
%setup -q -n %{upstream}-%{realname}-183aea8
%patch1 -p1 -b .bundled_libs
%if 0%{?fedora}
%patch2 -p1 -b .building_with_js_1_8_5
%else
%patch9999 -p1 -b .building_with_js_1_7_0
%endif
%patch3 -p1 -b .use_globally_available_mochiweb
%patch4 -p1 -b .standard_layout_for_rebar
%patch5 -p1 -b .start_erlang_js_during_tests
%patch6 -p1 -b .warn_unused_variable


%build
rebar compile -v


%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/priv
install -m 644 ebin/%{realname}.app $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -m 644 ebin/*.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -m 644 priv/json2.js $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/priv
install -m 755 priv/%{realname}_drv.so $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/priv


%check
rebar eunit -v


%files
%doc LICENSE README.org
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_sup.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/js.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/js_*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/json2.js
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/%{realname}_drv.so


%changelog
* Sat Sep 22 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-1
- Ver. 1.2.1
- Drop upstreamed patches

* Wed Sep 05 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.0-1
- Ver. 1.2.0

* Fri Jul 20 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.0.2-4
- Fix building releases using rebar
- Fix dependencides (add _isa)
- Drop EL5-related stuff

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 05 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.0.2-2
- Enable back building with js-1.7.0 (EL6)

* Thu Jul 05 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.0.2-1
- Ver. 1.0.2

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Apr 13 2011 Martin Stransky <stransky@redhat.com> - 0.5.0-3
- build fix for js 1.8.5

* Fri Jan 28 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.5.0-2
- Drop unneeded runtime dependency on eunit

* Wed Jan  5 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.5.0-1
- Ver. 0.5.0

* Fri Sep 10 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.4-1
- Initial build

